playMaker

Author Topic: Doozy Dotween actions broken in version 1.9  (Read 1383 times)

Groo Gadgets

  • Full Member
  • ***
  • Posts: 126
    • View Profile
Doozy Dotween actions broken in version 1.9
« on: May 25, 2018, 02:05:48 AM »
Hey guys,

I just updated to Playmaker 1.9 I hit a wall of script errors when using Doozy Dotween Playmaker actions. Version 1.9 seems to have removed the definition for "Restart". Here's the console error I get on all the actions:

Quote
Assets/DOTweenPlaymakerActions/Actions/DOTween/DOTweenTransformLocalMoveX.cs(99,45): error CS0117: `HutongGames.PlayMaker.LoopType' does not contain a definition for `Restart'

I've sent an email to Doozy alerting them to the error. Is this something they can fix easily or is it an issue with version 1.9?

Cheers,

Simon

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3627
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Doozy Dotween actions broken in version 1.9
« Reply #1 on: May 25, 2018, 07:19:32 PM »
1.9.0 added a HutongGames.PlayMaker.LoopType enum that is likely conflicting with Doozy's LoopType definition. Doozy probably just needs to put their LoopType in a namespace, or fully qualify their names. Feel free to put them in contact with me if they need more info (they should probably also be in the beta group so they can catch things like this before release).

DaiDesign

  • Playmaker Newbie
  • *
  • Posts: 16
    • View Profile
Re: Doozy Dotween actions broken in version 1.9
« Reply #2 on: May 27, 2018, 11:53:26 AM »
Hi

Is there something we can do ourselves as I have emailed Doozy myself and not got any reply.

I get 2 types of errors (321 in total)

Quote
Assets/DOTweenPlaymakerActions/Actions/DOTween/DOTweenAnimateColor.cs(147,33): error CS0117: `HutongGames.PlayMaker.LoopType' does not contain a definition for `Restart'

and

Quote
Assets/DOTweenPlaymakerActions/Actions/DOTween/DOTweenAnimateFloat.cs(181,21): error CS1928: Type `DG.Tweening.Tweener' does not contain a member `SetLoops' and the best extension method overload `DG.Tweening.TweenSettingsExtensions.SetLoops<DG.Tweening.Tweener>(this DG.Tweening.Tweener, int, DG.Tweening.LoopType)' has some invalid arguments

Thanks

David


mediadi

  • Playmaker Newbie
  • *
  • Posts: 2
    • View Profile
Re: Doozy Dotween actions broken in version 1.9
« Reply #3 on: May 29, 2018, 12:31:29 AM »
Yes It broke my project too :(

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3627
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Doozy Dotween actions broken in version 1.9
« Reply #4 on: May 29, 2018, 05:11:46 AM »
Try this:
Double click the error to open the script file.
Add this to the top of the file:
Code: [Select]
using LoopType = DG.Tweening.LoopType;
Let me know if this works.

Groo Gadgets

  • Full Member
  • ***
  • Posts: 126
    • View Profile
Re: Doozy Dotween actions broken in version 1.9
« Reply #5 on: May 29, 2018, 05:31:15 AM »
Thanks for that Alex but unfortunately adding that line doesn't fix the errors.

Alex Chouls

  • Administrator
  • Hero Member
  • *****
  • Posts: 3627
  • Official Playmaker Support
    • View Profile
    • LinkedIn
Re: Doozy Dotween actions broken in version 1.9
« Reply #6 on: May 29, 2018, 06:21:14 AM »
Try this: Wherever you see LoopType replace it with  DG.Tweening.LoopType

Note, after you fix one file you might still get errors in other files. You will need to work through the files with errors.

Sorry I'm not at my computer to check this myself...

Broken Stylus

  • Full Member
  • ***
  • Posts: 136
    • View Profile
Re: Doozy Dotween actions broken in version 1.9
« Reply #7 on: December 01, 2018, 05:37:07 AM »
BE CAREFUL

DoTween has been updated too and made major changes, so much that all known PM actions are now not working, both the free pack available somewhere in this place and Doozy's pack.
Each action throws an error about "call ambiguity". it's so bad that if you don't know how to solve this, you better NOT update DoTween because that will mean the asset's version you have on your computer will replace the one you used previously which worked. I went through this so I know; you'll have to use an old project and export the actions as a package and put that in your new project.